require 'active_record'


module HasNotifications
	module ActsAsNotification
		def acts_as_notification
			has_one :destination, class_name: "HasNotifications::HnNotification", as: :notification, dependent: :destroy
		end
	end
end

ActiveRecord::Base.extend(HasNotifications::ActsAsNotification)