class HasNotificationsMigration < ActiveRecord::Migration
    def self.up
        create_table :hn_notifications do |t|
            t.references :destination, polymorphic: true
            t.references :notification, polymorphic: true

            t.boolean :watched, default: false
 
            t.timestamps
        end

        add_index :hn_notifications, [:destination_id, :watched]
    end

    def self.down
        drop_table :hn_notifications
    end
end